package com.rv.tourism.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.util.ArrayList;
import java.util.List;

public class BeanTourDetailData extends BaseBean {
    private boolean rel;
    private DataBeanX data;

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public DataBeanX getData() {
        return data;
    }

    public void setData(DataBeanX data) {
        this.data = data;
    }

    public static class DataBeanX {
        private String id;
        private String name;
        private String cover;
        private double stock;
        private double price;
        private double childPrice;
        private List<TourDepartTimeVo> tourDepartTimeVo;
        private List<TourDepartVo> tourDepartVo;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getCover() {
            return cover;
        }

        public void setCover(String cover) {
            this.cover = cover;
        }

        public double getPrice() {
            return price;
        }

        public void setPrice(double price) {
            this.price = price;
        }

        public double getChildPrice() {
            return childPrice;
        }

        public void setChildPrice(double childPrice) {
            this.childPrice = childPrice;
        }

        public List<TourDepartTimeVo> getTourDepartTimeVo() {
            return tourDepartTimeVo;
        }

        public void setTourDepartTimeVo(List<TourDepartTimeVo> tourDepartTimeVo) {
            this.tourDepartTimeVo = tourDepartTimeVo;
        }

        public List<TourDepartVo> getTourDepartVo() {
            return tourDepartVo;
        }

        public void setTourDepartVo(List<TourDepartVo> tourDepartVo) {
            this.tourDepartVo = tourDepartVo;
        }

        public double getStock() {
            return stock;
        }

        public void setStock(double stock) {
            this.stock = stock;
        }

        public List<TourDepartVo> getDeparture() {
            ArrayList<TourDepartVo> list = new ArrayList<>();
            if (tourDepartVo != null) {
                for (int i = 0; i < tourDepartVo.size(); i++) {
                    if ("0".equals(tourDepartVo.get(i).getType())) {
                        list.add(tourDepartVo.get(i));
                    }
                }
            }
            return list;
        }

        public List<TourDepartVo> getEndDeparture() {
            ArrayList<TourDepartVo> list = new ArrayList<>();
            if (tourDepartVo != null) {
                for (int i = 0; i < tourDepartVo.size(); i++) {
                    if ("2".equals(tourDepartVo.get(i).getType())) {
                        list.add(tourDepartVo.get(i));
                    }
                }
            }
            return list;
        }

        public static class TourDepartTimeVo {
            private String id;//": 300,
            private String goodId;//": 102,
            private String startTime;//": "2019-08-20",
            private String endTime;//": "2019-08-21",
            private int startWeek;//": 2,
            private int endWeek;//": 3,
            private String speId;//": "0",
            private String price;//": 0.02,
            private String childPrice;//": 0.01,
            private String stock;//": 0,
            private String overdue;//": 1

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getGoodId() {
                return goodId;
            }

            public void setGoodId(String goodId) {
                this.goodId = goodId;
            }

            public String getStartTime() {
                return startTime;
            }

            public void setStartTime(String startTime) {
                this.startTime = startTime;
            }

            public String getEndTime() {
                return endTime;
            }

            public void setEndTime(String endTime) {
                this.endTime = endTime;
            }

            public int getStartWeek() {
                return startWeek;
            }

            public void setStartWeek(int startWeek) {
                this.startWeek = startWeek;
            }

            public int getEndWeek() {
                return endWeek;
            }

            public void setEndWeek(int endWeek) {
                this.endWeek = endWeek;
            }

            public String getSpeId() {
                return speId;
            }

            public void setSpeId(String speId) {
                this.speId = speId;
            }

            public String getPrice() {
                return price;
            }

            public void setPrice(String price) {
                this.price = price;
            }

            public String getChildPrice() {
                return childPrice;
            }

            public void setChildPrice(String childPrice) {
                this.childPrice = childPrice;
            }

            public String getStock() {
                return stock;
            }

            public void setStock(String stock) {
                this.stock = stock;
            }

            public String getOverdue() {
                return overdue;
            }

            public void setOverdue(String overdue) {
                this.overdue = overdue;
            }
        }

        public static class TourDepartVo {
            private String id;//": 742,
            private String goodId;//": 102,
            private String name;//": "欣新房车控股集团",
            private String address;//": "松山湖",
            private String companyId;//": "1",
            private String province;//": 440000,
            private String provinceName;//": "广东省",
            private String city;//": 441900,
            private String cityName;//": "东莞市",
            private String departTime;//": 30600,
            private String longitude;//": 113.9069685,
            private String latitude;//": 23.0056826,
            private String type;//": 0,
            private String rank;//": 0

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getGoodId() {
                return goodId;
            }

            public void setGoodId(String goodId) {
                this.goodId = goodId;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getAddress() {
                return address;
            }

            public void setAddress(String address) {
                this.address = address;
            }

            public String getCompanyId() {
                return companyId;
            }

            public void setCompanyId(String companyId) {
                this.companyId = companyId;
            }

            public String getProvince() {
                return province;
            }

            public void setProvince(String province) {
                this.province = province;
            }

            public String getProvinceName() {
                return provinceName;
            }

            public void setProvinceName(String provinceName) {
                this.provinceName = provinceName;
            }

            public String getCity() {
                return city;
            }

            public void setCity(String city) {
                this.city = city;
            }

            public String getCityName() {
                return cityName;
            }

            public void setCityName(String cityName) {
                this.cityName = cityName;
            }

            public String getDepartTime() {
                return departTime;
            }

            public void setDepartTime(String departTime) {
                this.departTime = departTime;
            }

            public String getLongitude() {
                return longitude;
            }

            public void setLongitude(String longitude) {
                this.longitude = longitude;
            }

            public String getLatitude() {
                return latitude;
            }

            public void setLatitude(String latitude) {
                this.latitude = latitude;
            }

            public String getType() {
                return type;
            }

            public void setType(String type) {
                this.type = type;
            }

            public String getRank() {
                return rank;
            }

            public void setRank(String rank) {
                this.rank = rank;
            }
        }
    }
}
